AICOMBO
EN
  • CN
  • EN
EN
  • CN
  • EN
EN
  • CN
  • EN
  1. Native Anthropic Format
  • User Guide
  • Audio
    • Text to Speech
      POST
    • Gemini Native
      POST
  • Chat
    • Native OpenAI Format
      • ChatCompletions Format
      • Responses Format
      • Responses Async Task Retrieval
      • Responses Async Task Deletion
      • Responses Async Task Retrieval (Streaming)
    • Native Gemini Format
      • Gemini Chat
    • Native Vertex AI Format
      • Gemini Chat
    • Native Anthropic Format
      • Native Claude Format
        POST
      • Native Claude Format - Token Count
        POST
  • Completions
    • Native OpenAI Format
      POST
  • Images
    • Gemini Format
      • Responses Format
      • OpenAI Compatible
  • Models
    • List Models
      • Native OpenAI Format
      • Native Gemini Format
  1. Native Anthropic Format

Native Claude Format

POST
https://api.aicombo.com/v1/messages
Requests in the Anthropic Claude Messages API format. The anthropic-version header must be included in the request.

请求参数

Header 参数

Body 参数application/json必填

示例
{
  "model": "claude-haiku-4-5",
  "messages": [
    {
      "role": "user",
      "content": "Hello"
    }
  ],
  "max_tokens": 1024
}

请求示例代码

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
请求示例请求示例
Shell
JavaScript
Java
Swift
cURL
curl --location 'https://api.aicombo.com/v1/messages' \
--header 'Authorization: Bearer ' \
--header 'anthropic-version: 2023-06-01' \
--header 'Content-Type: application/json' \
--data '{
  "model": "claude-haiku-4-5",
  "messages": [
    {
      "role": "user",
      "content": "Hello"
    }
  ],
  "max_tokens": 1024
}'

返回响应

🟢200Success
application/json
Bodyapplication/json

示例
{
  "model": "claude-haiku-4-5-20251001",
  "id": "msg_bdrk_01LYwKGu9oSWsZALKs83iqee",
  "type": "message",
  "role": "assistant",
  "content": [
    {
      "type": "text",
      "text": "Hello! 👋 \n\nNice to meet you. Is there anything I can help you with?"
    }
  ],
  "stop_reason": "end_turn",
  "stop_sequence": null,
  "usage": {
    "input_tokens": 10,
    "cache_creation_input_tokens": 0,
    "cache_read_input_tokens": 0,
    "cache_creation": {
      "ephemeral_5m_input_tokens": 0,
      "ephemeral_1h_input_tokens": 0
    },
    "output_tokens": 33
  }
}
上一页
Gemini Chat
下一页
Native Claude Format - Token Count
Built with